.Dd February 14, 1994
.Dt MD5 1
.Os
.Sh NAME
.Nm md5
.Nd calculate a message-digest fingerprint (checksum) for a file
.Sh SYNOPSIS
.Nm md5
.Op Fl ptx
.Op Fl s Ar string
.Op Ar file ...
.Sh DESCRIPTION
.Nm Md5
takes as input a message of arbitrary length and produces
as output a 128-bit
.Dq fingerprint
or
.Dq message digest
of the input.  It is conjectured that it is computationally infeasible to
produce two messages having the same message digest, or to produce any
message having a given prespecified target message digest.
The MD5 algorithm is intended for digital signature applications, where a
large file must be
.Dq compressed
in a secure manner before being encrypted with a private
.Pq secret
key under a public-key cryptosystem such as
.Em RSA .
.Pp
The following four options may be used in any combination and must
precede any files named on the command line.  The MD5
sum of each file listed on the command line is printed after the options
are processed.
.Bl -tag -width indent
.It Fl s Ar string
Print a checksum of the given
.Ar string .
.It Fl p
Echo stdin to stdout and appends the MD5 sum to stdout.
.It Fl t
Run a built-in time trial.
.It Fl x
Run a built-in test script.
.El
.Sh SEE ALSO
.Xr cksum 1
.Rs
.%A R. Rivest
.%T The MD5 Message-Digest Algorithm
.%O RFC1321
.Re
.Sh ACKNOWLEDGMENTS
This program is placed in the public domain for free general use by
RSA Data Security.
